Bug 440269 - (fedora-ds-dsgw) Review Request: fedora-ds-dsgw - Directory Server Gateway web apps for Fedora Directory Server
Review Request: fedora-ds-dsgw - Directory Server Gateway web apps for Fedora...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 11:44 EDT by Rich Megginson
Modified: 2008-04-07 12:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 12:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dennis: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2008-04-02 11:44:34 EDT
Spec URL: http://people.fedoraproject.org/~rmeggins/fedora-ds-dsgw.spec
SRPM URL: http://people.fedoraproject.org/~rmeggins/fedora-ds-dsgw-1.1.0-1.src.rpm
Description: Fedora Directory Server Gateway is a collection of 3 web applications
that run on top of the Administration Server used by the Directory
Server.  These 3 applications are:
* phonebook - a simple phonebook application geared towards end users,
with simple search screens and simple self-service management
* orgchart - an organization chart viewer
* gateway - a more advanced search interface that allows admins to
create and edit user entries, and allows creation of templates for
different types of user and group entries
Comment 1 Rich Megginson 2008-04-02 11:48:18 EDT
Notes:
Clean output from rpmlint on src.rpm
Clean output from rpmlint on binary rpm
Builds cleanly in mock on F-8
Installs cleanly into an existing fedora-ds installation on F-8
Comment 2 Rich Megginson 2008-04-02 14:46:42 EDT
Please use these links instead:
Spec URL: http://rmeggins.fedorapeople.org/fedora-ds-dsgw.spec
SRPM URL: http://rmeggins.fedorapeople.org/fedora-ds-dsgw-1.1.0-1.src.rpm
Description: Fedora Directory Server Gateway is a collection of 3 web applications
that run on top of the Administration Server used by the Directory
Server.  These 3 applications are:
* phonebook - a simple phonebook application geared towards end users,
with simple search screens and simple self-service management
* orgchart - an organization chart viewer
* gateway - a more advanced search interface that allows admins to
create and edit user entries, and allows creation of templates for
different types of user and group entries
Comment 3 Dennis Gilmore 2008-04-03 14:55:50 EDT
builds fine in mock on rawhide x86_64


%dir %{_localstatedir}/run/%{pkgname}/dsgw/cookies
should be %{_localstatedir}/run/%{pkgname}/dsgw

sha1sum fedora-ds-dsgw-1.1.0.tar.bz2 fedora/SOURCES/fedora-ds-
d33144d8e1e26a08dd145d71a65c4082bb9b1dc2  fedora-ds-dsgw-1.1.0.tar.bz2
d33144d8e1e26a08dd145d71a65c4082bb9b1dc2  fedora/SOURCES/fedora-ds-
sources match upstream.

Fix the one unowned directory issue and it looks good
Comment 4 Rich Megginson 2008-04-03 15:37:11 EDT
Ok.  Done.  Updated the links above.  Builds fine in mock on rawhide i386 too.
Comment 5 Rich Megginson 2008-04-03 15:38:36 EDT
New Package CVS Request
=======================
Package Name: fedora-ds-dsgw
Short Description: Fedora Directory Server Gateway - web applications for Fedora
Directory Server.
Owners: rmeggins nkinder nhosoi
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-04-05 13:00:31 EDT
Clearing the fedora-cvs flag here until the package is approved (fedora-review: +)

Dennis: Can you take a look and approve this package?
Comment 7 Dennis Gilmore 2008-04-05 13:19:39 EDT
It looks good now

Approved 
Comment 8 Dennis Gilmore 2008-04-05 13:20:12 EDT
CVS Done
Comment 9 Rich Megginson 2008-04-07 12:33:09 EDT
Thanks guys!

Note You need to log in before you can comment on or make changes to this bug.